
Foreman - Bug #33248

Appropriate error message to be shown when creating authsource with same name as existing

authsource.

08/12/2021 08:56 AM - Ondřej Ezr

Status: Closed   

Priority: Normal   

Assignee: Ondřej Ezr   

Category: Authentication   

Target version:    

Difficulty:  Fixed in Releases: 3.1.0

Triaged: No Found in Releases:  

Bugzilla link: 1883816 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/8901

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1883816

Description of problem:

When creating a new authsource with an existing authsource name, appropriate error message to be shown.

Version-Release number of selected component (if applicable):

Satellite 6.8.0 Snap 16.0

How reproducible:

Always

Steps to Reproduce:

1.Administer -> Authentication Sources -> `Create LDAP Authentication Source`

2.Create authsource with default  values(Example: Name=Test_authsource)

3.Create another authsource with same `Name` as above.

Actual results:

No error message is shown.

Expected results:

We cannot have same name for two authsource.

Associated revisions

Revision bca1b576 - 11/07/2021 04:46 PM - Ondřej Ezr

Fixes #33248 - show auth source form errors

History

#1 - 11/05/2021 10:17 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ondřej Ezr

- Pull request https://github.com/theforeman/foreman/pull/8901 added

#2 - 11/07/2021 04:46 PM - The Foreman Bot

- Fixed in Releases 3.1.0 added

#3 - 11/07/2021 05:00 PM - Ondřej Ezr

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|bca1b576776197dcaff1d29b6e23e66463d4dd30.
